
from piscript.PiModule import *

init("lines", 200, 200)

beginpage()

gsave() # =============================================
center()
scale(48)
translate(-1.125,1.125)

gsave()
newpath()
for i in range(0,4):
 	moveto(0,-i)
	rlineto(3,0)
	moveto(i,0)
	rlineto(0,-3)
	moveto(0,0)
	lineto(-1,1)
	stroke(0.8)
grestore()

w = 0.56

for i in range(3):
	for j in range(3):
		gsave()
		scalelinewidth(10)
		translate(i + 0.5, -j-0.5)
		translate(-w/2, -w/2)
		setlinecap(i)
		setlinejoin(j)
		newpath()
		moveto(w,0)
		lineto(0,0)
		lineto(0,w)
		stroke(0.6,0,0)
		grestore()

grestore() # =============================================
# back to default
setfont("/Helvetica-Bold", 12)
setgray(0.6)
gsave()
translate(3,200--3)
setdeg()
rotate(-45)
moveto(16,-17)
show("linejoin")
moveto(16,2)
show("linecap")
grestore()

setfont("/Helvetica-Bold", 18)
gsave()
translate(68, 168)
moveto(-4,0)
show("0")
translate(48,0)
moveto(-4,0)
show("1")
translate(48,0)
moveto(-4,0)
show("2")
grestore()

gsave()
translate(27, 120)
moveto(-4,0)
show("0")
translate(0,-48)
moveto(-4,0)
show("1")
translate(0,-48)
moveto(-4,0)
show("2")
grestore()
endpage()
flush()
