from piscript.PiModule import *

init("qrbold", 218, 160)

settexenv("BoldMathTexConfig")
W = 3.5
H = 2.5
beginpage()
gsave()
setlinecap(2)
center()
scale(48)
translate(-W/2.0, -H/2.0-0.0)
sw = 0.03
hw = 3.2*sw
setarrowdims(sw, hw)

newpath()
box(W, H)
stroke()

newpath()
arrow(0, H + 0.25)
fill()

newpath
arrow(W+0.25,0)
fill()

dy = 0.5
dx = (W*dy)/H

newpath()
dy = 0.5
dx = (W*dy)/H
moveto(0,0.5)
lineto(W-dx, H)
moveto(0,0)
lineto(W, H)
dx = 0.5
dy = (H*dx)/W
moveto(dx,0)
lineto(W, H-dy)
stroke(0)

grestore() # =============================================

setcolor(0, 0, 1)

t = texinsert("${ 1 \\over 2 } q $") 
gsave()
translate(187, 12)
scale(0.9)
place(t)
grestore()

t = texinsert("${ 1 \\over 2 } p $") 
gsave()
translate(11, 141.4)
scale(0.9)
place(t)
grestore()

t = texinsert("${ 1 \\over 2 } $") 
gsave()
translate(47, 12)
scale(0.9)
place(t)
grestore()

t = texinsert("${ 1 \\over 2 } $") 
gsave()
translate(16, 45)
scale(0.9)
place(t)
grestore()

t = texinsert("$0 $") 
gsave()
translate(15.3, 9)
scale(0.9)
place(t)
grestore()

t = texinsert("$px-qy \\le - { 1 \\over 2 } \, q $") 
gsave()
translate(40, 122)
scale(0.9)
place(t)
grestore()

t = texinsert("$ - { 1 \\over 2 } q < px-qy < 0 $") 
gsave()
translate(72, 63)
rotate(math.atan2(H, W))
translate(-10, 0)
scale(0.9)
place(t)
grestore()

t = texinsert("$ - { 1 \\over 2 } p < qy - px < 0 $") 
gsave()
translate(86, 46)
rotate(math.atan2(H, W))
translate(-12,5)
scale(0.9)
place(t)
grestore()

t = texinsert("$ qy-px \\le - { 1 \\over 2 } \, p $") 
gsave()
translate(116, 32)
scale(0.9)
place(t)
grestore()

endpage()
finish()
