
from piscript.Tex import TexEnv

"""
This specifies 
	p = TEX prefix
	q = TEX postfix
	c = TEX command
Only the prefix is likely to need changing.
One possibility illustrated here is to replace the prefix string 
by operations that open a TEX header file 
and concatenate it with part of the prefix.

"""

def getTexEnv():
	p = "\\input amssym.def\n"
	p += "\\def\\color#1{\\special{color{#1}}}\n"
	p += "\\def\\uncolor{\\special{uncolor}}\n"
	p += "\\def\\mark{\\special{mark}}\n"
	p += "\\nopagenumbers\n"
	p += "\\input psfont.defs\n"

	q = "\n%\n\\bye\n"
	c = "tex" # "tex" for Windows
	# c = "tex >& /dev/null" # "tex" for Windows
	return TexEnv(p, q, c)

