
from piscript.PiModule import *

from piscript.Cmd import *

def m(x, y):
	moveto3d(x, y, 0)

def l(x, y):
	lineto3d(x, y, 0)

def c(p1, p2, p3):
	curveto3d((p1[0], p1[1], 0), (p2[0], p2[1], 0), (p3[0], p3[1], 0))

def cl():
	closepath3d()

ps = init3d(130, 50)
beginpage()
center()
scale(20)
translate(0, -0.75)
setfont("CMR10", 2)

seteye((0,0,6,1))
rotate3d([0, 1, 0], math.pi/6)
translate3d(-1.5,0,0)
scalelinewidth(0.5)
newpath()
p = charpath("ABC")
p.set(MOVETO, m)
p.set(LINETO, l)
p.set(CURVETO, c)
p.set(CLOSEPATH, cl)
p.execute()
fill(0.8,0, 0)
stroke()

endpage()
finish()


