
from piscript.PiModule import *

import math

def rsemicircle(Q):
	u = [ Q[0]*0.5, Q[1]*0.5 ]
	v = [ -u[1], u[0] ]
	P3 = [ (u[0]+v[0]), (u[1]+v[1]) ]
	f = math.pi/6
	P1 = [ v[0]*f, v[1]*f ]
	P2 = [ P3[0]-u[0]*f, P3[1]-u[1]*f ]
	rcurveto(P1, P2, P3)
	P1 = [ u[0]*f, u[1]*f ]
	P3 = [ u[0]-v[0], u[1]-v[1] ]
	P2 = [ P3[0]+v[0]*f, P3[1]+v[1]*f ]
	rcurveto(P1, P2, P3)

init("circ", 100, 100)

beginpage()
center()
scale(32)
translate(-0.25,-0.25)

newpath()
moveto(0,0)
rsemicircle([1,1])
stroke()

endpage()
finish()
