
from piscript.PiModule import *
from fl import *
from piscript.DviPS import PSFont


def octal(n):
	if n == 0:
		return "\\000"
	elif n < 8:
		return "\\00" + str(n)
	elif n < 64:
		return "\\0" + str(n/8) + str(n%8)
	else:
		s = "\\"
		s += str(n/64)
		n = n % 64
		s += str(n/8)
		n = n % 8
		s += str(n)
		return s

init("cmrpfb.ps", 400,260)

for i in range(len(fontlist)):
	f = fontlist[i]
	importPFB("pfb/" + f)
	fontname = "/" + PSFont.getFontName("pfb/" + f + ".pfb")
	setfont(fontname, 10)
	beginpage()
	scale(2)
	gsave()
	setfont("/Helvetica-Bold", 5)
	scale(2)
	setcolor(0.7,0,0)
	moveto(2,2)
	show(fontname)
	grestore()
	cw = 10
	ch = 10
	gsave()
	translate(0.27*width(),10*ch)
	translate(-cw*8,0)
	for i in range(128):
		m = i/16
		n = i % 16
		moveto(n*cw,-m*ch)
		show(octal(i))
	grestore()
	endpage()

flush()
