
from piscript.PiModule import *

def f(x):
	return x*x

def g(x, a):
	return a-x*x

init("graph", 200, 200)
beginpage()
center()
scale(100)
translate(-0.5, -0.5)

llx = -2
lly = -2
urx = 2
ury = 2
N = (urx-llx)*10
dx = float(urx-llx)/N
dy = float(ury-lly)/N
newpath()
x = llx
y = lly
for i in range(N+1):
	moveto(x, lly)
	lineto(x, ury)
	x += dx
	moveto(llx, y)
	lineto(urx, y)
	y += dy
stroke(0.8)
N = (urx-llx)
dx = float(urx-llx)/N
dy = float(ury-lly)/N
gsave()
scalelinewidth(2)
newpath()
x = llx
y = lly
for i in range(N+1):
	moveto(x, lly)
	lineto(x, ury)
	x += dx
	moveto(llx, y)
	lineto(urx, y)
	y += dy
stroke(0.6)
grestore()
	
newpath()
graph(f, 0, 1)
stroke()

newpath()
graph(g, 0, 1, 1)
stroke(1,0,0)

endpage()
finish()
