from piscript.PiModule import *

init("xsq", 100, 100)

setdeg()
beginpage()

center()
N = 32
t = 0
dt = 1.0/N
scale(80)
translate(-0.5, -0.5)
margin = 0.125
newpath()
moveto(-margin, 0)
lineto(1+margin, 0)
moveto(1, -margin)
lineto(1, 1+margin)
moveto(1+margin, 1)
lineto(-margin, 1)
moveto(0, 1+margin)
lineto(0, -margin)
stroke(0.8)

setcolor(0.8, 0, 0)
newpath()
moveto(t, t*t)
for i in range(N):
	t += dt
	lineto(t, t*t)
stroke()

setcolor(0)
t = texinsert("$y = x^2$")
t.rotate(0.90)
t.translate(0,4)
place(t, 0.5, 0.25)
# place(t)

flush()
