import piscript.Tex 

fontPackage = "MinionPro"

"""
This specifies 
	p = TEX prefix
	q = TEX postfix
	c = TEX command
Only the prefix is likely to need changing.
One possibiity is to replace the string here by operations that open
a TEX header file and return its contents as the prefix.
Or concatenate it with part of the prefix.

For example:
		f = open("myheader.tex", "r")
		p = f.read()
		f.close()

"""

def getTexEnv():
	p = "\\documentclass[12pt]{article}\n"
	p += "\\usepackage{%s}\n" % fontPackage
	p += "\\pagestyle{empty}\n"
	p += "\\input amssym.def\n"
	p += "\\newcommand\\color[1]{\\special{Color{#1}}}\n"
	p += "\\newcommand\\uncolor{\\special{unColor}}\n"
	p += "\\newcommand\\lmark{\\special{mark}}\n"
	p += "\\begin{document}\n"
	q = "\n%\n\\end{document}\n"
	c = "latex >& /dev/null" # "latex" for Windows
	return piscript.Tex.TexEnv(p, q, c)
